#
# spec file for package python-setuptools-version-command
#
# Copyright (c) 2022 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


%{?!python_module:%define python_module() python-%{**} python3-%{**}}
Name:           python-setuptools-version-command
Version:        99.9
Release:        1.12
Summary:        Adds a command to dynamically get the version from the VCS of choice
License:        MIT
Group:          Development/Languages/Python
URL:            https://github.com/j0057/setuptools-version-command
Source:         https://github.com/j0057/setuptools-version-command/archive/%{version}.tar.gz#/setuptools-version-command-%{version}.tar.gz
BuildRequires:  %{python_module setuptools}
BuildRequires:  fdupes
BuildRequires:  python-rpm-macros
Requires:       python-setuptools
BuildArch:      noarch
# SECTION test requirements
BuildRequires:  %{python_module pytest}
# /SECTION
%python_subpackages

%description
Adds a command to dynamically get the version from the VCS of choice.

%prep
%setup -q -n setuptools-version-command-%{version}
rm setup.cfg

%build
%python_build

%install
%python_install
%python_expand %fdupes %{buildroot}%{$python_sitelib}

%check
%pytest

%files %{python_files}
%doc AUTHORS README.rst
%license LICENSE
%{python_sitelib}/*

%changelog
* Fri Oct  7 2022 Yogalakshmi Arunachalam <yarunachalam@suse.com>
- Update to version 99.9
  * Add deprecation warning to code
  * Add deprecation notice to README
  * Final bump of version
* Sun Oct 11 2020 John Vandenberg <jayvdb@gmail.com>
- Activate test suite
* Tue Jan  7 2020 John Vandenberg <jayvdb@gmail.com>
- Initial spec for v2.2
